# Class MediaNetworkError

#### Hierarchy

- MediaPlayerError
  - MediaNetworkError

#####
Index

### Constructors

constructor

### Properties

category
code
description

## Constructors

### constructor

- new MediaNetworkError(): MediaNetworkError

- #### Returns MediaNetworkError

  Inherited from MediaPlayerError.constructor

## Properties

### `Readonly` category

category: Media = ErrorCategory.Media

Inherited from MediaPlayerError.category

### `Readonly` code

code: MediaNetworkError = ErrorCode.MediaNetworkError

Overrides MediaPlayerError.code

### `Readonly` description

description: "Some kind of network error occurred which prevented the media from being successfully fetched, despite having previously been available." = 'Some kind of network error occurred which prevented the media from being successfully fetched, despite having previously been available.'